package com.ruoyi.iit.mapper;

import com.ruoyi.iit.domain.IitFileImage;

import java.util.List;

/**
 * 文件转图片Mapper接口
 *
 * @author Hao Li
 * @date 2025-04-12
 */
public interface IitFileImageMapper {
    /**
     * 查询文件转图片
     *
     * @param id 文件转图片主键
     * @return 文件转图片
     */
    public IitFileImage selectIitFileImageById(Long id);

    /**
     * 查询文件转图片列表
     *
     * @param iitFileImage 文件转图片
     * @return 文件转图片集合
     */
    public List<IitFileImage> selectIitFileImageList(IitFileImage iitFileImage);

    /**
     * 新增文件转图片
     *
     * @param iitFileImage 文件转图片
     * @return 结果
     */
    public int insertIitFileImage(IitFileImage iitFileImage);

    /**
     * 修改文件转图片
     *
     * @param iitFileImage 文件转图片
     * @return 结果
     */
    public int updateIitFileImage(IitFileImage iitFileImage);

    /**
     * 删除文件转图片
     *
     * @param id 文件转图片主键
     * @return 结果
     */
    public int deleteIitFileImageById(Long id);

    /**
     * 批量删除文件转图片
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteIitFileImageByIds(Long[] ids);
}
